# CircleBase | SDF-2D - v0.6.0
Documentation for SDF-2D - v0.6.0

### Hierarchy

- EmptyDrawable
  - CircleBase

## Index

### Constructors

- constructor

### Properties

- center
- radius
- descriptor

### Methods

- getObjectToSerialize
- minDistance

## Constructors

### constructor

- new CircleBase(center: vec2, radius: number): CircleBase

- - Defined in drawables/shapes/circle-factory.ts:9

  #### Parameters

  - ##### center: vec2

  - ##### radius: number

  #### Returns CircleBase

## Properties

### center

center: vec2

- Defined in drawables/shapes/circle-factory.ts:10

### radius

radius: number

- Defined in drawables/shapes/circle-factory.ts:10

### Static Readonly descriptor

descriptor: DrawableDescriptor

Inherited from EmptyDrawable.descriptor

Overrides Drawable.descriptor

- Defined in drawables/empty-drawable.ts:9

## Methods

### Protected getObjectToSerialize

- getObjectToSerialize(transform2d: mat2d, transform1d: number): any

- Inherited from EmptyDrawable.getObjectToSerialize

  Overrides Drawable.getObjectToSerialize

  - Defined in drawables/empty-drawable.ts:15

  #### Parameters

  - ##### transform2d: mat2d

  - ##### transform1d: number

  #### Returns any

### minDistance

- minDistance(target: vec2): number

- Inherited from EmptyDrawable.minDistance

  Overrides Drawable.minDistance

  - Defined in drawables/empty-drawable.ts:11

  #### Parameters

  - ##### target: vec2

  #### Returns number